#   File:       spcheckp-ppc.make
#   Target:     spcheckp-ppc
#   Created:    Monday, August 7, 2000 09:52:41 PM


MAKEFILE        = spcheckp-ppc.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

SpBaseDir  	= :::spBase:
SpAudioDir      = :::spAudio:
SpLibDir  	= :::lib:

ObjDir          = :
Includes        =  
				  -i {SpAudioDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC} -includes unix -enum int -j0


### Source Files ###

SrcFiles        =  
				  spcheckp.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}spcheckp.c.x"


### Libraries ###

LibFiles-PPC    =  
				  "{SpLibDir}spAudio-ppc.o" 
				  "{SpLibDir}spBase-ppc.o" 
				  "{PPCLibraries}PPCSIOW.o" 
				  "{SharedLibraries}InterfaceLib" 
				  "{SharedLibraries}StdCLib" 
				  "{SharedLibraries}MathLib" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
				  "{PPCLibraries}PPCToolLibs.o"


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

spcheckp-ppc    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-t 'APPL' 
		-c 'siow'


spcheckp-ppc    "{RIncludes}"SIOW.r {MondoBuild}
	Rez "{RIncludes}"SIOW.r -o {Targ} -append


### Required Dependencies ###

"{ObjDir}spcheckp.c.x"    spcheckp.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


